/* eslint-disable jsx-a11y/anchor-is-valid */
import React from 'react'
import {KTSVG, toAbsoluteUrl} from '../../../../../../_metronic/helpers'
import {Organisation, OrganisationRole, PersonRole} from '../core/_models'
import { OrganisationRoleActionsCell } from '../table/columns/organisation/OrganisationRoleActionsCell'
import { useListView } from '../edit-modal/organisation/ListViewProviderOrganisation'
import { OrganisationEditModal } from '../edit-modal/organisation/OrganisationEditModal'
import { OrganisationRoleAddModal } from '../edit-modal/organisation/OrganisationRoleAddModal'

type Props = {
  className: string
  organisation: Organisation
}

const OrganisationRolesList: React.FC<Props> = ({className,organisation}) => {
  const {setItemIdForUpdate, itemIdForUpdate} = useListView()
  const openAddOrganisationRoleModal = () => {
    setItemIdForUpdate(organisation.id)
    console.log(itemIdForUpdate)
  }
  
  return (
    
    <div className={`card ${className}`}>
      {/* begin::Header */}
      <div className='card-header border-0'>
        <h3 className='card-title fw-bold text-dark'>Organisationsroller</h3>
        <div
        className='fs-7 w-250px py-4 d-flex justify-content-end'>
          <button type='button' onClick={openAddOrganisationRoleModal} className='btn btn-light btn-sm btn-active-light-primary' >
        <KTSVG path='/media/icons/duotune/arrows/arr075.svg' className='svg-icon-2' />
        Lägg till organisationsroll
      </button>
      </div>
      </div>
      {/* end::Header */}
      {/* begin::Body */}
      <div className='card-body pt-2'>

      {organisation.organisationRoles?.map(organisationRole => {
        return(
          <div className='d-flex align-items-center mb-7' key={organisationRole.id}>
              <div className='symbol symbol-50px me-5'>
              <KTSVG
                      path='/media/icons/duotune/general/gen049.svg'
                      className='svg-icon-1 svg-icon-primary'
                    />              </div>
              <div className='flex-grow-1'>
                <a href='#' className='text-dark fw-bold text-hover-primary fs-6'>
                  {organisationRole.name?.split(',')[0]}
                </a>
                <span className='text-muted d-block fw-semibold'>{organisationRole.name?.split(',')[1]}</span>

        </div>
          <OrganisationRoleActionsCell id={organisationRole.id}/>

          </div>

        )
      })}
      {itemIdForUpdate !== undefined ? <OrganisationRoleAddModal/> : null}

      </div>
      {/* end::Body */}
    </div>
  )
  
}

export {OrganisationRolesList}
